#!/usr/bin/tclsh

source ./irc.tcl

proc respondping { stuff } {
    global net block
    set stuff [string trim $stuff :]
    puts [info level]
    puts [namespace current]
    $net send "PONG $stuff"
    set block 1
}

proc Default { args } {
    puts $args
}

set block 0
set net [irc::connection irc.openprojects.net 6667]
$net registerevent PING respondping
$net registerevent defaultevent Default
$net registerevent defaultcmd Default

$net connect
$net user TclUser localhost "www.dedasys.com"
$net nick TclUser
vwait block
$net join \#tcl
$net privmsg \#tcl "hi folks, Tcl rules!"

package require tclreadline
tclreadline::Loop